Debian Bug report logs - #656180
tex-common: ! TeX capacity exceeded, sorry [pool size=1182621].

version graph

Package: tex-common; Maintainer for tex-common is Debian TeX maintainers <debian-tex-maint@lists.debian.org>; Source for tex-common is src:tex-common.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Tue, 17 Jan 2012 08:27:01 UTC

Severity: normal

Found in version tex-common/2.08.1

Done: Norbert Preining <preining@logic.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#656180; Package tex-common. (Tue, 17 Jan 2012 08:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. (Tue, 17 Jan 2012 08:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tex-common: ! TeX capacity exceeded, sorry [pool size=1182621].
Date: Tue, 17 Jan 2012 09:22:08 +0100
Package: tex-common
Version: 2.08.1
Severity: normal


Everytime I use latex on a new system, I need to edit the /etc/texmf/texmf.cnf to fix the pool size limit, since it is so low.
Could the default value be a little bigger (factor 10) ?

Thanks

-- System Information:
Debian Release: 6.0.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable'), (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages tex-common depends on:
ii  debconf [debconf-2.0]        1.5.36.1    Debian configuration management sy
ii  dpkg                         1.15.8.11   Debian package management system
ii  ucf                          3.0025+nmu1 Update Configuration File: preserv

tex-common recommends no packages.

Versions of packages tex-common suggests:
ii  debhelper                  8.9.7~bpo60+1 helper programs for debian/rules

Versions of packages texlive-base depends on:
ii  dpkg                      1.15.8.11      Debian package management system
ii  install-info              4.13a.dfsg.1-6 Manage installed documentation in 
ii  luatex                    0.60.2-1       next generation TeX engine
ii  mime-support              3.48-1         MIME files 'mime.types' & 'mailcap
ii  texlive-binaries          2009-8         Binaries for TeX Live
ii  texlive-common            2009-11        TeX Live: Base component
ii  texlive-doc-base          2009-2         TeX Live: TeX Live documentation

-- debconf information:
  tex-common/check_texmf_wrong:
  tex-common/check_texmf_missing:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#656180; Package tex-common. (Tue, 17 Jan 2012 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. (Tue, 17 Jan 2012 11:03:06 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Cc: 656180@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#656180: tex-common: ! TeX capacity exceeded, sorry [pool size=1182621].
Date: Tue, 17 Jan 2012 12:04:37 +0100
Mathieu Malaterre <mathieu.malaterre@gmail.com> wrote:

> Package: tex-common
> Version: 2.08.1
> Severity: normal
>
>
> Everytime I use latex on a new system, I need to edit the
> /etc/texmf/texmf.cnf to fix the pool size limit, since it is so low.

Which type of documents do you typeset (size, packages used, engines
used)? 

> Could the default value be a little bigger (factor 10) ?

If it works for you, it technically could.  However, I wonder why nobody
has reported pool size problems for years.  Sometimes it's just a bug in
a document or package that leads to pool size errors.

Norbert, what's the current pool size in upstream texlive (or where is
upstream's texmf.cnf in the SVN)?

Regards, Frank

-- 
Frank Küster
Sprecher B90/Grüne OV Miltenberg und Umgebung
VCD Miltenberg, ADFC Aschaffenburg-Miltenberg
Debian Developer (TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#656180; Package tex-common. (Tue, 17 Jan 2012 11:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. (Tue, 17 Jan 2012 11:03:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#656180; Package tex-common. (Tue, 17 Jan 2012 14:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. (Tue, 17 Jan 2012 14:33:03 GMT) Full text and rfc822 format available.

Message #20 received at 656180@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Frank Küster <frank@debian.org>, 656180@bugs.debian.org
Cc: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Subject: Re: Bug#656180: tex-common: ! TeX capacity exceeded, sorry [pool size=1182621].
Date: Tue, 17 Jan 2012 23:29:26 +0900
On Di, 17 Jan 2012, Frank Küster wrote:
> Norbert, what's the current pool size in upstream texlive (or where is
> upstream's texmf.cnf in the SVN)?

pool_size = 3250000

so that is about 2.5 times what it is in Debian: 1250000

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
TODDING (vb.)
The business of talking amiably and aimlessly to the barman at the
local.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#656180; Package tex-common. (Tue, 17 Jan 2012 14:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. (Tue, 17 Jan 2012 14:36:07 GMT) Full text and rfc822 format available.

Message #25 received at 656180@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Frank Küster <frank@debian.org>
Cc: 656180@bugs.debian.org
Subject: Re: Bug#656180: tex-common: ! TeX capacity exceeded, sorry [pool size=1182621].
Date: Tue, 17 Jan 2012 15:32:42 +0100
On Tue, Jan 17, 2012 at 12:04 PM, Frank Küster <frank@debian.org> wrote:
> Mathieu Malaterre <mathieu.malaterre@gmail.com> wrote:
>
>> Package: tex-common
>> Version: 2.08.1
>> Severity: normal
>>
>>
>> Everytime I use latex on a new system, I need to edit the
>> /etc/texmf/texmf.cnf to fix the pool size limit, since it is so low.
>
> Which type of documents do you typeset (size, packages used, engines
> used)?

I have no idea, how can I check ? I am using doxygen as front end
which generated a latex file for me.

>> Could the default value be a little bigger (factor 10) ?
>
> If it works for you, it technically could.  However, I wonder why nobody
> has reported pool size problems for years.  Sometimes it's just a bug in
> a document or package that leads to pool size errors.

Technically I started to have the issue since 2009, but again this may
be related to doxygen use of latex. Since I always have sudo power
this has never been an issue so far.
This will be the day the gdcm (debian package) starts to generates the
pdf documentation on buildd machine.

HTH
-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#656180; Package tex-common. (Tue, 17 Jan 2012 21:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. (Tue, 17 Jan 2012 21:27:05 GMT) Full text and rfc822 format available.

Message #30 received at 656180@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: 656180@bugs.debian.org, Mathieu Malaterre <mathieu.malaterre@gmail.com>
Subject: Re: Bug#656180: tex-common: ! TeX capacity exceeded, sorry [pool size=1182621].
Date: Tue, 17 Jan 2012 22:22:53 +0100
Norbert Preining <preining@logic.at> wrote:

> On Di, 17 Jan 2012, Frank Küster wrote:
>> Norbert, what's the current pool size in upstream texlive (or where is
>> upstream's texmf.cnf in the SVN)?
>
> pool_size = 3250000
>
> so that is about 2.5 times what it is in Debian: 1250000

Mathieu, do your doxygen file run with that size?  Can you provide us
with the sources?  I think there should be a commandline switch to keep
intermediate files.  If you do that, a tex file should be present in the
working directory which you could send to us.

Regards, Frank

-- 
Frank Küster
Sprecher B90/Grüne OV Miltenberg und Umgebung
VCD Miltenberg, ADFC Aschaffenburg-Miltenberg
Debian Developer (TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#656180; Package tex-common. (Wed, 18 Jan 2012 07:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. (Wed, 18 Jan 2012 07:51:06 GMT) Full text and rfc822 format available.

Message #35 received at 656180@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Frank Küster <frank@debian.org>
Cc: Norbert Preining <preining@logic.at>, 656180@bugs.debian.org
Subject: Re: Bug#656180: tex-common: ! TeX capacity exceeded, sorry [pool size=1182621].
Date: Wed, 18 Jan 2012 08:47:51 +0100
On Tue, Jan 17, 2012 at 10:22 PM, Frank Küster <frank@debian.org> wrote:
> Norbert Preining <preining@logic.at> wrote:
>
>> On Di, 17 Jan 2012, Frank Küster wrote:
>>> Norbert, what's the current pool size in upstream texlive (or where is
>>> upstream's texmf.cnf in the SVN)?
>>
>> pool_size = 3250000
>>
>> so that is about 2.5 times what it is in Debian: 1250000
>
> Mathieu, do your doxygen file run with that size?  Can you provide us
> with the sources?  I think there should be a commandline switch to keep
> intermediate files.  If you do that, a tex file should be present in the
> working directory which you could send to us.

I have tar-gzipped the whole latex/ directory. According to the log
the pdflatex command is run on refman.tex, which in turns includes the
other *.tex files.

The archive is at:
http://gdcm.sourceforge.net/thingies/latex.tar.gz

Log is:


make[4]: Entering directory
`/home/mathieu/Perso/gdcm-gcc/Utilities/doxygen/latex'
rm -f *.ps *.dvi *.aux *.toc *.idx *.ind *.ilg *.log *.out refman.pdf
pdflatex refman.tex
This is pdfTeX, Version 3.1415926-1.40.10 (TeX Live 2009/Debian)
entering extended mode
(./refman.tex
LaTeX2e <2009/09/24>
Babel <v3.8l> and hyphenation patterns for english, usenglishmax, dumylang, noh
yphenation, loaded.

makeindex refman.idx
This is makeindex, version 2.15 [TeX Live 2009] (kpathsea + Thai support).
Scanning input file refman.idx.............done (9507 entries
accepted, 34 rejected).
Sorting entries..............................................................................................done
(136096 comparisons).
Generating output file refman.ind............done (12257 lines
written, 0 warnings).
Output written in refman.ind.
Transcript written in refman.ilg.
pdflatex refman.tex
This is pdfTeX, Version 3.1415926-1.40.10 (TeX Live 2009/Debian)
entering extended mode
(./refman.tex
LaTeX2e <2009/09/24>
Babel <v3.8l> and hyphenation patterns for english, usenglishmax, dumylang, noh
yphenation, loaded.

latex_count=5 ; \
	while egrep -s 'Rerun (LaTeX|to get cross-references right)'
refman.log && [ $latex_count -gt 0 ] ;\
	    do \
	      echo "Rerunning latex...." ;\
	      pdflatex refman.tex ;\
	      latex_count=`expr $latex_count - 1` ;\
	    done
make[4]: Leaving directory
`/home/mathieu/Perso/gdcm-gcc/Utilities/doxygen/latex'

Thanks,
-- 
Mathieu




Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:55:44 GMT) Full text and rfc822 format available.

Reply sent to Norbert Preining <preining@logic.at>:
You have taken responsibility. (Wed, 09 May 2012 22:51:25 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Wed, 09 May 2012 22:51:25 GMT) Full text and rfc822 format available.

Message #42 received at 656180-done@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: debian-tex-maint@lists.debian.org
Cc: 291545-done@bugs.debian.org, 313406-done@bugs.debian.org, 478992-done@bugs.debian.org, 656180-done@bugs.debian.org
Subject: closing old tex-common bugs
Date: Thu, 10 May 2012 07:50:16 +0900
Version 3.10

Closing some bugs that were fixed by tex-common version 3:
291545: upgrade of files in texmf.d shows diff twice (plain ucf and update-texmf)
	we don't use ucf anymore
313406: tetex-bin: Drop the compatibility font paths
	we don't ship our own texmf.cnf anymore
478992: update-texmf: Basic configuration file /etc/texmf/texmf.d/05TeXMF.cnf missing
	we don't have this file anymore
656180: tex-common: ! TeX capacity exceeded, sorry [pool size=1182621].
	tex capacity is bumped up in TeX Live

Thanks

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
CLABBY (adj.)
A 'clabby' conversation is one stuck up by a commissionaire or
cleaning lady in order to avoid any further actual work. The opening
gambit is usually designed to provoke the maximum confusion, and
therefore the longest possible clabby conversation. It is vitally
important to learn the correct, or 'clixby' (q.v.), responses to a
clabby gambit, and not to get trapped by a 'ditherington' (q.v.). For
instance, if confronted with a clabby gambit such as 'Oh, mr Smith, I
didn't know you'd had your leg off', the ditherington response is 'I
haven't....' whereas the clixby is 'good.'
			--- Douglas Adams, The Meaning of Liff




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Jun 2012 07:43:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:23:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.